更新 Dedicated 集群信息 (V2)
Update the name or description of a dedicated cluster in the current project.
PATCH/v2/clusters/{CLUSTER_ID}
该 API 的 Base URL 格式如下:
https://api.cloud.zilliz.com.cn
📘说明
控制面接口速率限制为单用户单接口每秒最多 20 个请求。
export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired
认证令牌,应为具备适当权限的 API 密钥。
示例值:Bearer {{TOKEN}}
OrgIdstringheaderrequired
集群所属的组织 ID。
示例值:org-xxxxxxxxxxxxxxxxxxx
CLUSTER_IDstringpathrequired
当前操作的目标集群 ID。
示例值:inxx-xxxxxxxxxxxxxxx
请求体application/json
clusterNamestring
集群的新名称。值不能为空字符串。
descriptionstring
集群的新描述。值可以为空字符串。
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
curl --request PATCH \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "New Cluster Name",
"description": "This is the new description of the cluster."
}'
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
curl --request PATCH \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"clusterName": "New Cluster Name"
}'
export TOKEN="YOUR_API_KEY"
export CLUSTER_ID="inxx-xxxxxxxxxxxxxxx"
curl --request PATCH \
--url "${BASE_URL}/v2/clusters/${CLUSTER_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"description": ""
}'
响应200 - application/json
codeinteger
Response code.
dataobject
Response payload.
clusterIdstring
ID of the cluster that has been modified.
promptstring
Prompt message returned.
返回错误消息。
codeinteger
响应码。
messagestring
错误描述。
{
"code": 0,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"prompt": "successfully submitted. Cluster is being upgraded, which is expected to take several minutes. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK."
}
}